Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.gen
Class DataMapUtils

    java.lang.Object
      org.apache.cayenne.gen.DataMapUtils

    public class DataMapUtils

extends Object

Attributes and Methods for working with Queries.

Since:
  3.0

Constructor Summary
`DataMapUtils()`

Method Summary
`Collection` | `getParameterNames(QualifiedQuery query)` Get all parameter names that used in query qualifier.
`String` | `getParameterType(QualifiedQuery query, String name)` Get type of parameter for given name.
`String` | `getQueryMethodName(Query query)` Return valid method name based on query name (replace all illegal characters with underscore '_').
`boolean` | `hasParameters(QualifiedQuery query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataMapUtils

    public DataMapUtils()

Method Detail

### getQueryMethodName

    public String getQueryMethodName(Query query)

  Return valid method name based on query name (replace all illegal characters with underscore '_').

  Parameters:
    `query` -
  Returns:
    Method name that perform query.

### getParameterNames

    public Collection getParameterNames(QualifiedQuery query)

  Get all parameter names that used in query qualifier.

  Parameters:
    `query` -
  Returns:
    Parameter names.

### hasParameters

    public boolean hasParameters(QualifiedQuery query)

### getParameterType

    public String getParameterType(QualifiedQuery query,
                                   String name)

  Get type of parameter for given name.

  Parameters:
    `query` -
    `name` -
  Returns:
    Parameter type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.